### A free/open-source library for quantitative finance

Public Member Functions
MakeMCAmericanPathEngine< RNG > Class Template Reference

Monte Carlo American basket-option engine factory. More...

`#include <ql/experimental/mcbasket/mcamericanpathengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCAmericanPathEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCAmericanPathEngine & | withSteps (Size steps)
MakeMCAmericanPathEngine & | withStepsPerYear (Size steps)
MakeMCAmericanPathEngine & | withBrownianBridge (bool b=true)
MakeMCAmericanPathEngine & | withAntitheticVariate (bool b=true)
MakeMCAmericanPathEngine & | withControlVariate (bool b=true)
MakeMCAmericanPathEngine & | withSamples (Size samples)
MakeMCAmericanPathEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCAmericanPathEngine & | withMaxSamples (Size samples)
MakeMCAmericanPathEngine & | withSeed (BigNatural seed)
MakeMCAmericanPathEngine & | withCalibrationSamples (Size samples)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom>
class QuantLib::MakeMCAmericanPathEngine< RNG >

Monte Carlo American basket-option engine factory.